lensfun 0.3.1.0

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Members

Public Attributes | List of all members
lfLensCalibFov Struct Reference
Structures and functions for lenses

Struct to save calibrated field of view, which can depends on the focal length (DEPRECATED) More...

`#include <lensfun.h>`

## Public Attributes
float | Focal
float | FieldOfView
| Field of view for given images. More...

## Detailed Description

Struct to save calibrated field of view, which can depends on the focal length (DEPRECATED)

The Field of View (FOV) database entry is deprecated since lensfun version 0.3 and will be removed in future releases.

## Member Data Documentation

float lfLensCalibFov::FieldOfView

Field of view for given images.

The Field of View (FOV) database entry is deprecated since lensfun version 0.3 and will be removed in future releases.

Especially for fisheye images the field of view calculated from the (EXIF) focal length differs slightly from the real field of view. The real field of view can be stored in this field

float lfLensCalibFov::Focal

Focal length in mm at which this calibration data was taken

The documentation for this struct was generated from the following file:

- lensfun.h